I click auto-update, still shows it has the old version.

I click auto-update, still shows it has the old version. I manually download the zip, open qa.php, and it has the old version.